Bug 920348 - Review Request: openstack-heat - Re-Review of a rename of the heat package to openstack-heat
Summary: Review Request: openstack-heat - Re-Review of a rename of the heat package to...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Pádraig Brady
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 956410
TreeView+ depends on / blocked
 
Reported: 2013-03-11 21:03 UTC by Steven Dake
Modified: 2016-04-27 04:10 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-07-06 10:58:07 UTC
p: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Steven Dake 2013-03-11 21:03:26 UTC
Spec URL: https://raw.github.com/sdake/fedora-reviews/master/openstack-heat/openstack-heat.spec

SRPM URL: https://github.com/sdake/fedora-reviews/raw/master/openstack-heat/openstack-heat-2013.1-0.1.g3.fc18.src.rpm

Description: OpenStack Heat provides orchestration for OpenStack
Fedora Account System Username: sdake

This is a re-review of the heat package.  The plan is to rename heat to openstack-heat.

Comment 1 Pádraig Brady 2013-03-11 23:10:33 UTC
Nothing blocking, but I did notice:

No %check. It might be easy to add, but don't worry if not.
An erroneous dependency on pysendfile.
Perhaps an erroneous dependency on python-glance.

Also not for now, but for a reminder:
for better fedora openstack integration, it would be nice to
augment openstack-utils/openstack-db and drop the heat-db scripts.


Package Review
==============

Key:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated
[ ] = Manual review needed


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf %{buildroot} present but not required
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Fully versioned dependency in subpackages, if present.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in openstack-
     heat-common , openstack-heat-engine , openstack-heat-api , openstack-
     heat-api-cfn , openstack-heat-api-cloudwatch , openstack-heat-cli
[x]: Package complies to the Packaging Guidelines
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Apache (v2.0)", "Apache (v2.0) MIT/X11 (BSD like)", "Unknown or
     generated", "*No copyright* Apache (v2.0)". 4 files have unknown license.
     Detailed output of licensecheck in /home/padraig/920348-openstack-
     heat/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 184320 bytes in 16 files.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: %config files are marked noreplace or the reason is justified.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Spec file lacks Packager, Vendor, PreReq tags.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: No %config files under /usr.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).

Python:
[-]: Python eggs must not download any dependencies during the build process.
[-]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Scriptlets must be sane, if used.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[-]: Package should compile and build into binary rpms on all supported
     architectures.
[!]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[!]: Rpmlint is run on all installed packages.
     Note: Mock build failed
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.



Rpmlint
-------
Checking: openstack-heat-common-2013.1-0.1.g3.fc15.noarch.rpm
          openstack-heat-engine-2013.1-0.1.g3.fc15.noarch.rpm
          openstack-heat-api-2013.1-0.1.g3.fc15.noarch.rpm
          openstack-heat-api-cfn-2013.1-0.1.g3.fc15.noarch.rpm
          openstack-heat-api-cloudwatch-2013.1-0.1.g3.fc15.noarch.rpm
          openstack-heat-cli-2013.1-0.1.g3.fc15.noarch.rpm
openstack-heat-common.noarch: E: explicit-lib-dependency python-httplib2
openstack-heat-common.noarch: W: non-standard-uid /var/log/heat heat
openstack-heat-common.noarch: W: non-standard-uid /var/lib/heat heat
openstack-heat-common.noarch: W: non-standard-uid /etc/heat heat
openstack-heat-common.noarch: E: incoherent-logrotate-file /etc/logrotate.d/heat
openstack-heat-common.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/heat/cloudinit/loguserdata.py 0644L /usr/bin/env
openstack-heat-common.noarch: W: no-manual-page-for-binary heat-db-setup
openstack-heat-common.noarch: W: no-manual-page-for-binary heat-keystone-setup
openstack-heat-engine.noarch: W: non-standard-gid /etc/heat/heat-engine.conf heat
openstack-heat-engine.noarch: E: non-readable /etc/heat/heat-engine.conf 0640L
openstack-heat-engine.noarch: W: percent-in-%post
openstack-heat-engine.noarch: W: percent-in-%preun
openstack-heat-engine.noarch: W: percent-in-%postun
openstack-heat-api.noarch: W: non-standard-gid /etc/heat/heat-api-paste.ini heat
openstack-heat-api.noarch: E: non-readable /etc/heat/heat-api-paste.ini 0640L
openstack-heat-api.noarch: W: non-standard-gid /etc/heat/heat-api.conf heat
openstack-heat-api.noarch: E: non-readable /etc/heat/heat-api.conf 0640L
openstack-heat-api.noarch: W: percent-in-%post
openstack-heat-api.noarch: W: percent-in-%preun
openstack-heat-api.noarch: W: percent-in-%postun
openstack-heat-api-cfn.noarch: W: non-standard-gid /etc/heat/heat-api-cfn-paste.ini heat
openstack-heat-api-cfn.noarch: E: non-readable /etc/heat/heat-api-cfn-paste.ini 0640L
openstack-heat-api-cfn.noarch: W: non-standard-gid /etc/heat/heat-api-cfn.conf heat
openstack-heat-api-cfn.noarch: E: non-readable /etc/heat/heat-api-cfn.conf 0640L
openstack-heat-api-cfn.noarch: W: percent-in-%post
openstack-heat-api-cfn.noarch: W: percent-in-%preun
openstack-heat-api-cfn.noarch: W: percent-in-%postun
openstack-heat-api-cloudwatch.noarch: W: non-standard-gid /etc/heat/heat-api-cloudwatch-paste.ini heat
openstack-heat-api-cloudwatch.noarch: E: non-readable /etc/heat/heat-api-cloudwatch-paste.ini 0640L
openstack-heat-api-cloudwatch.noarch: W: non-standard-gid /etc/heat/heat-api-cloudwatch.conf heat
openstack-heat-api-cloudwatch.noarch: E: non-readable /etc/heat/heat-api-cloudwatch.conf 0640L
openstack-heat-api-cloudwatch.noarch: W: percent-in-%post
openstack-heat-api-cloudwatch.noarch: W: percent-in-%preun
openstack-heat-api-cloudwatch.noarch: W: percent-in-%postun
openstack-heat-cli.noarch: W: non-standard-gid /etc/heat/boto.cfg heat
openstack-heat-cli.noarch: E: non-readable /etc/heat/boto.cfg 0640L
openstack-heat-cli.noarch: W: no-manual-page-for-binary heat-boto
openstack-heat-cli.noarch: W: no-manual-page-for-binary heat-watch
6 packages and 0 specfiles checked; 11 errors, 27 warnings.




Requires
--------
openstack-heat-api-cloudwatch (rpmlib, GLIBC filtered):
    /bin/sh
    /usr/bin/python
    config(openstack-heat-api-cloudwatch)
    openstack-heat-common
    systemd

openstack-heat-api (rpmlib, GLIBC filtered):
    /bin/sh
    /usr/bin/python
    config(openstack-heat-api)
    openstack-heat-common
    systemd

openstack-heat-common (rpmlib, GLIBC filtered):
    /bin/bash
    /bin/sh
    config(openstack-heat-common)
    pysendfile
    python(abi)
    python-eventlet
    python-glance
    python-greenlet
    python-httplib2
    python-iso8601
    python-keystoneclient
    python-kombu
    python-lxml
    python-memcached
    python-migrate
    python-novaclient
    python-paste
    python-qpid
    python-routes
    python-sqlalchemy
    python-webob
    shadow-utils

openstack-heat-engine (rpmlib, GLIBC filtered):
    /bin/sh
    /usr/bin/python
    config(openstack-heat-engine)
    openstack-heat-common
    systemd

openstack-heat-cli (rpmlib, GLIBC filtered):
    /usr/bin/python
    config(openstack-heat-cli)
    openstack-heat-common

openstack-heat-api-cfn (rpmlib, GLIBC filtered):
    /bin/sh
    /usr/bin/python
    config(openstack-heat-api-cfn)
    openstack-heat-common
    systemd



Provides
--------
openstack-heat-api-cloudwatch:
    config(openstack-heat-api-cloudwatch)
    openstack-heat-api-cloudwatch

openstack-heat-api:
    config(openstack-heat-api)
    openstack-heat-api

openstack-heat-common:
    config(openstack-heat-common)
    openstack-heat-common

openstack-heat-engine:
    config(openstack-heat-engine)
    openstack-heat-engine

openstack-heat-cli:
    config(openstack-heat-cli)
    openstack-heat-cli

openstack-heat-api-cfn:
    config(openstack-heat-api-cfn)
    openstack-heat-api-cfn



MD5-sum check
-------------
https://launchpad.net/heat/grizzly/grizzly-3/+download/heat-2013.1.g3.tar.gz :
  CHECKSUM(SHA256) this package     : f2cff687c81b65dfdb67f6d98b67add5afa4133de5d5e09629b8b2b5197f175a
  CHECKSUM(SHA256) upstream package : f2cff687c81b65dfdb67f6d98b67add5afa4133de5d5e09629b8b2b5197f175a


Generated by fedora-review 0.4.0 (660ce56) last change: 2013-01-29

Comment 2 Steven Dake 2013-03-12 16:06:41 UTC
Spec: https://raw.github.com/sdake/fedora-reviews/master/openstack-heat/openstack-heat.spec

SRPM: https://github.com/sdake/fedora-reviews/blob/master/openstack-heat/openstack-heat-2013.1-0.2.g3.fc18.src.rpm

Added a check
Removed pysendfile
Move python-glance from Requires to BuildRequires (required by test cases)
Added bunch of deps that were in pip-requires missing from spec file

Comment 3 Pádraig Brady 2013-03-12 18:44:53 UTC
Dep changes look good.
%check doesn't work at present.

Comment 4 Steven Dake 2013-03-12 19:33:47 UTC
Spec: https://raw.github.com/sdake/fedora-reviews/master/openstack-heat/openstack-heat.spec
SRPM: https://github.com/sdake/fedora-reviews/blob/master/openstack-heat/openstack-heat-2013.1-0.3.g3.fc18.src.rpm

Removed %check since full dependency chain not understood for test cases
Removed python-glanceclient from buildrequires (it was required for check)

Comment 6 Steven Dake 2013-03-12 20:04:37 UTC
New Package SCM Request
=======================
Package Name: openstack-heat
Short Description: OpenStack Orchestration (heat)
Owners: sdake, asalkeld, jpeeler, zaneb
Branches: devel, f19
InitialCC:

Comment 7 Gwyn Ciesla 2013-03-12 23:11:48 UTC
Git done (by process-git-requests).

Comment 8 Steven Dake 2013-03-13 00:51:43 UTC
Comment #5 has dead links.  groan.

Spec: https://raw.github.com/sdake/fedora-reviews/master/openstack-heat/openstack-heat.spec
SRPM: https://github.com/sdake/fedora-reviews/blob/master/openstack-heat/openstack-heat-2013.1-0.3.g3.fc18.src.rpm

Removed %check since full dependency chain not understood for test cases
Removed python-glanceclient from buildrequires (it was required for check)

Comment 9 Steven Dake 2013-03-13 00:55:56 UTC
Jon,

Thanks.  I'll sort out the spec file with a quick update.  Apologies for mucking up the process.

Regards
-steve

Comment 10 Jeff Peeler 2013-03-26 21:54:02 UTC
Package Change Request
======================
Package Name: openstack-heat
New Branches: el6
Owners: sdake, asalkeld, jpeeler, zaneb
InitialCC:

Comment 11 Gwyn Ciesla 2013-03-27 12:38:53 UTC
Git done (by process-git-requests).

Comment 12 Jeff Peeler 2013-03-28 19:42:32 UTC
Package Change Request
======================
Package Name: openstack-heat
New Branches: f18
Owners: sdake, asalkeld, jpeeler, zaneb
InitialCC:

(Sorry about the double request, should be the last one.)

Comment 13 Gwyn Ciesla 2013-03-28 19:52:27 UTC
Git done (by process-git-requests).

Comment 14 Christopher Meng 2013-07-06 04:20:46 UTC
Any news here?

If not this bug can be closed?

Comment 15 Pádraig Brady 2013-07-06 10:58:07 UTC
This package rename is in place for Grizzly and Havana (Fedora 19 and Fedora 20).
  https://apps.fedoraproject.org/packages/openstack-heat

The old package name is in place for Fedora 18,
and EPEL6 (Folsom) doesn't actually have heat yet:
  https://apps.fedoraproject.org/packages/heat
It's probably best to leave F18/EPEL6 as is at this stage.

So I'm closing this as complete.


Note You need to log in before you can comment on or make changes to this bug.